Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.objectstore
Class ObjectStore

    java.lang.Object
      com.arjuna.ats.arjuna.objectstore.ObjectStore

public class ObjectStore
extends java.lang.Object

The object store interface is the application's route to using a specific object store implementation. The interface dynamically binds to an implementation of the right type.

Since:
  JTS 1.0.
Version:
  $Id: ObjectStore.html,v 1.1 2008/01/04 06:52:39 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Field Summary
`static int` | `OS_COMMITTED`
`static int` | `OS_COMMITTED_HIDDEN`
`static int` | `OS_HIDDEN`
`static int` | `OS_INVISIBLE`
`static int` | `OS_ORIGINAL`
`static int` | `OS_SHADOW` StateType.
`static int` | `OS_SHARED`
`static int` | `OS_UNCOMMITTED`
`static int` | `OS_UNCOMMITTED_HIDDEN`
`static int` | `OS_UNKNOWN` StateStatus
`static int` | `OS_UNSHARED`

Constructor Summary
`ObjectStore()`
`ObjectStore(ClassName typeName)` Defaults to OS_UNSHARED mode.
`ObjectStore(ClassName typeName, int shareStatus)`
`ObjectStore(ClassName typeName, ObjectName objName)`
`ObjectStore(ClassName typeName, java.lang.String location)`
`ObjectStore(ClassName typeName, java.lang.String location, int shareStatus)`
`ObjectStore(int shareStatus)`
`ObjectStore(ObjectName objName)`
`ObjectStore(java.lang.String location)`
`ObjectStore(java.lang.String location, int shareStatus)`

Method Summary
`boolean` | `allObjUids(java.lang.String s, InputObjectState buff)`
`boolean` | `allObjUids(java.lang.String s, InputObjectState buff, int m)`
`boolean` | `allTypes(InputObjectState buff)`
`ClassName` | `className()`
`boolean` | `commit_state(Uid u, java.lang.String tn)`
`int` | `currentState(Uid u, java.lang.String tn)`
`void` | `finalize()`
`boolean` | `fullCommitNeeded()`
`java.lang.String` | `getStoreName()`
`boolean` | `hide_state(Uid u, java.lang.String tn)`
`void` | `initialise(Uid u, java.lang.String tn)`
`boolean` | `isType(Uid u, java.lang.String tn, int st)`
`java.lang.String` | `locateStore(java.lang.String location)`
`void` | `pack(OutputBuffer buff)`
`static void` | `printStateStatus(java.io.PrintWriter strm, int res)`
`static void` | `printStateType(java.io.PrintWriter strm, int res)`
`InputObjectState` | `read_committed(Uid u, java.lang.String tn)`
`InputObjectState` | `read_uncommitted(Uid u, java.lang.String tn)`
`boolean` | `remove_committed(Uid u, java.lang.String tn)`
`boolean` | `remove_uncommitted(Uid u, java.lang.String tn)`
`boolean` | `reveal_state(Uid u, java.lang.String tn)`
`int` | `shareState()`
`static java.lang.String` | `stateStatusString(int res)`
`static java.lang.String` | `stateTypeString(int res)`
`java.lang.String` | `storeDir()`
`java.lang.String` | `storeRoot()`
`void` | `sync()`
`int` | `typeIs()`
`void` | `unpack(InputBuffer buff)`
`boolean` | `write_committed(Uid u, java.lang.String tn, OutputObjectState buff)`
`boolean` | `write_uncommitted(Uid u, java.lang.String tn, OutputObjectState buff)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OS_UNKNOWN

    public static final int OS_UNKNOWN

  StateStatus

  See Also:
    Constant Field Values

### OS_COMMITTED

    public static final int OS_COMMITTED

See Also:
  Constant Field Values

### OS_UNCOMMITTED

    public static final int OS_UNCOMMITTED

See Also:
  Constant Field Values

### OS_HIDDEN

    public static final int OS_HIDDEN

See Also:
  Constant Field Values

### OS_COMMITTED_HIDDEN

    public static final int OS_COMMITTED_HIDDEN

See Also:
  Constant Field Values

### OS_UNCOMMITTED_HIDDEN

    public static final int OS_UNCOMMITTED_HIDDEN

See Also:
  Constant Field Values

### OS_SHADOW

    public static final int OS_SHADOW

  StateType.

  See Also:
    Constant Field Values

### OS_ORIGINAL

    public static final int OS_ORIGINAL

See Also:
  Constant Field Values

### OS_INVISIBLE

    public static final int OS_INVISIBLE

See Also:
  Constant Field Values

### OS_SHARED

    public static final int OS_SHARED

See Also:
  Constant Field Values

### OS_UNSHARED

    public static final int OS_UNSHARED

See Also:
  Constant Field Values

Constructor Detail

### ObjectStore

    public ObjectStore()

### ObjectStore

    public ObjectStore(int shareStatus)

### ObjectStore

    public ObjectStore(java.lang.String location)

### ObjectStore

    public ObjectStore(java.lang.String location,
                       int shareStatus)

### ObjectStore

    public ObjectStore(ClassName typeName)

  Defaults to OS_UNSHARED mode.

### ObjectStore

    public ObjectStore(ClassName typeName,
                       int shareStatus)

### ObjectStore

    public ObjectStore(ClassName typeName,
                       java.lang.String location)

### ObjectStore

    public ObjectStore(ClassName typeName,
                       java.lang.String location,
                       int shareStatus)

### ObjectStore

    public ObjectStore(ClassName typeName,
                       ObjectName objName)

### ObjectStore

    public ObjectStore(ObjectName objName)

Method Detail

### finalize

    public void finalize()

### allObjUids

    public boolean allObjUids(java.lang.String s,
                              InputObjectState buff,
                              int m)
                       throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### allObjUids

    public boolean allObjUids(java.lang.String s,
                              InputObjectState buff)
                       throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### allTypes

    public boolean allTypes(InputObjectState buff)
                     throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### currentState

    public int currentState(Uid u,
                            java.lang.String tn)
                     throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### getStoreName

    public java.lang.String getStoreName()

### commit_state

    public boolean commit_state(Uid u,
                                java.lang.String tn)
                         throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### hide_state

    public boolean hide_state(Uid u,
                              java.lang.String tn)
                       throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### reveal_state

    public boolean reveal_state(Uid u,
                                java.lang.String tn)
                         throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### read_committed

    public InputObjectState read_committed(Uid u,
                                           java.lang.String tn)
                                    throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### read_uncommitted

    public InputObjectState read_uncommitted(Uid u,
                                             java.lang.String tn)
                                      throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### remove_committed

    public boolean remove_committed(Uid u,
                                    java.lang.String tn)
                             throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### remove_uncommitted

    public boolean remove_uncommitted(Uid u,
                                      java.lang.String tn)
                               throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### write_committed

    public boolean write_committed(Uid u,
                                   java.lang.String tn,
                                   OutputObjectState buff)
                            throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### write_uncommitted

    public boolean write_uncommitted(Uid u,
                                     java.lang.String tn,
                                     OutputObjectState buff)
                              throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### typeIs

    public int typeIs()

### sync

    public void sync()
              throws java.io.SyncFailedException,
                     ObjectStoreException

  Throws:
    `java.io.SyncFailedException`
    `ObjectStoreException`

### className

    public ClassName className()

### locateStore

    public java.lang.String locateStore(java.lang.String location)
                                 throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### fullCommitNeeded

    public boolean fullCommitNeeded()

### isType

    public boolean isType(Uid u,
                          java.lang.String tn,
                          int st)
                   throws ObjectStoreException

  Throws:
    `ObjectStoreException`

### initialise

    public void initialise(Uid u,
                           java.lang.String tn)

### pack

    public void pack(OutputBuffer buff)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### unpack

    public void unpack(InputBuffer buff)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### printStateStatus

    public static void printStateStatus(java.io.PrintWriter strm,
                                        int res)

### stateStatusString

    public static java.lang.String stateStatusString(int res)

### printStateType

    public static void printStateType(java.io.PrintWriter strm,
                                      int res)

### stateTypeString

    public static java.lang.String stateTypeString(int res)

### shareState

    public final int shareState()

### storeDir

    public final java.lang.String storeDir()

### storeRoot

    public final java.lang.String storeRoot()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD